.. _code_machineresolvers:

Machine Resolvers
-----------------

.. index:: Machine Resolvers

.. automodule:: privacyidea.lib.machines

Base class
..........

.. index:: Machine Resolvers

.. autoclass:: privacyidea.lib.machines.base.BaseMachineResolver
   :members:

Hosts Machine Resolver
......................

.. autoclass:: privacyidea.lib.machines.hosts.HostsMachineResolver
   :members:
